#iSbuildTIAS400Environment.sh
# The Script will create the necessary AS/400 objects for the Terminal
# Interface Server to run on the AS/400
#
# The values used follow:
#	Subsystem:	#VFETIM
#	Library:	VFETIM
#	JOBQ:		VFETIM
#

cd '/VeriFone/etim/utils' 
echo changed directory to /VeriFone/etim/utils

system "CRTLIB LIB(VFETIM) TEXT('VeriFone ETIM Library') "
echo 

system " CRTSBSD    SBSD(VFETIM/#VFETIM) POOLS((1 *BASE)) TEXT('VeriFone ETIM Subsystem')"
echo 

system " CRTJOBQ    JOBQ(VFETIM/VFETIM) TEXT('VeriFone ETIM Job Queue')  "
echo 

system "CRTCLS     CLS(VFETIM/VFETIM) RUNPTY(19) PURGE(*NO)"
echo

system "ADDRTGE SBSD(VFETIM/#VFETIM) SEQNBR(9999) CMPVAL(*ANY) PGM(QCMD) CLS(VFETIM/VFETIM)"
echo

system "CRTJOBD JOBD(VFETIM/VFETIM) JOBQ(VFETIM/VFETIM) TEXT('VeriFone ETIM Job Description')"
echo

system  "ADDJOBQE SBSD(VFETIM/#VFETIM) JOBQ(VFETIM/VFETIM) MAXACT(*NOMAX)"
echo     

echo AS/400 Environment for ETIM Created

